#include "mbed.h"
#include "AMS_ENS210.h"

#define WAIT() wait(0.2)

AMS_ENS210 temphumid(I2C_SDA, I2C_SCL);

void read_temperature(void)
{
    temphumid.init();
    WAIT();
    temphumid.start(true);
    WAIT();
    while(!temphumid.temp_has_data());
      // printf("Wait for temperature read!\n\r");
    temphumid.stop(true);
    WAIT();
    printf("Temp: %d [C]\r\n", ((temphumid.temp_read() >> 6)-273) );
}

void read_humidity(void)
{
    temphumid.init();
    WAIT();
    temphumid.start(false,true);
    WAIT();
    while(!temphumid.humid_has_data());      
    temphumid.stop(false,true);
    WAIT();
    printf("Humidity: %d [%]\r\n", ( temphumid.humid_read() >> 9) );
}

// main() runs in its own thread in the OS
int main() {
    while (true) {
        read_temperature();
        WAIT();          
        read_humidity();
        WAIT();        
    }
}